Hi Shuah,
diff --git a/tools/testing/selftests/ima/test_kernel_module.sh b/tools/testing/selftests/ima/test_kernel_module.sh
new file mode 100755
index 000000000000..4009e1b60b03
--- /dev/null
+++ b/tools/testing/selftests/ima/test_kernel_module.sh
@@ -0,0 +1,96 @@
+#!/bin/sh
+# SPDX-License-Identifier: GPL-2.0-or-later
Same here
# SPDX-License-Identifier: GPL-2.0
Sure, I'll make the change here and in the other places.
+get_secureboot_mode
+if [ $? -eq 0 ]; then
+ log_skip "secure boot not enabled"
+fi
+
+# get the kernel config
+get_kconfig
+
get_kconfig() will be good candidate as a kselftest common
function. Is that possible?
Sure, where would it go? Âget_kconfig calls log_skip. ÂI didn't see
any common logging functions. ÂPetr suggested defining a set of common
logging functions. ÂDid you want to only make "log_skip" a common
function or the other logging functions log_pass, log_fail, log_info
as well?